Retrieves the type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
marketing_segment| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code | string |
Max length: 50 |
|
| segment |
Marketing segment Name |
string |
Required Max length: 50 |
| description |
Description of the segment |
string |
Max length: 255 |
| visit_frequency_days_interval |
Number of days between 2 visits |
integer | |
| frequency_logic |
Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED ) |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "38a86611-68f3-4567-84e6-13ec050e86bb",
"code": "sample string 2",
"segment": "sample string 3",
"description": "sample string 4",
"visit_frequency_days_interval": 5,
"frequency_logic": "sample string 6",
"sales_organization_id": "b18fc0cf-29d4-47c6-8c5a-05d297efa75c",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "90b7aa11-55e1-4620-85cd-9eabd2d99ccc",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e2d66847-9b1c-4cd2-bf81-1ce5364f9e24",
"db_currency_id": "d00817da-45f8-45e7-a7e0-5f0192a143d9",
"db_language_id": "050f6e02-2415-4b34-8c55-ca12aa0305d4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-08-01T04:09:36.7226797+00:00"
},
"modified_dateutc": "2026-08-01T04:09:36.7226797+00:00"
}